### Method

# EDataServer SourceRegistryWatcher get_registry

since: 3.26

#### Declaration [src]

    ESourceRegistry*
    e_source_registry_watcher_get_registry (
      ESourceRegistryWatcher* watcher
    )

#### Description [src]

Returns the `ESourceRegistry` passed to e_source_registry_watcher_new().

Available since: 3.26

Gets property | `EDataServer.SourceRegistryWatcher:registry`

#### Return value

Type: `ESourceRegistry`

An `ESourceRegistry`.

The returned data is owned by the instance.